Developer Friendly

API Documentation

Learn how to submit forms using our secure API endpoints with authentication

Authentication Required: You need to login and generate API keys to use our form submission endpoints.

Overview

VeloxForm uses API-only form submissions to ensure security and reliability. All form submissions must be made through our API endpoints with proper authentication.

Security First: Direct form submissions are blocked. All submissions must include valid API credentials.

Authentication

All API requests require authentication using API Key header:

Required Headers
API-Key: your_api_key_hereContent-Type: application/json

API Endpoints

POST https://veloxform.in/api/submit Auth Required
Submit Form Data

Submit form data to be processed and stored.

Request Body
{
  "form_name": "Contact Form",
  "data": {
    "name": "John Doe",
    "email": "john@example.com",
    "message": "Hello World!",
    "phone": "+1234567890"
  }
}
Response
{
  "success": true,
  "message": "Form submission processed successfully",
  "submission_id": 123
}

Integration Examples

const formData = {
  name: 'John Doe',
  email: 'john@example.com',
  message: 'Hello World!'
};

fetch('https://veloxform.in/api/submit', {
  method: 'POST',
  headers: {
    'Content-Type': 'application/json',
    'API-Key': 'your_api_key'
  },
  body: JSON.stringify({
    form_name: 'Contact Form',
    data: formData
  })
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Network error:', error));
curl -X POST https://veloxform.in/api/submit \
  -H "Content-Type: application/json" \
  -H "API-Key: your_api_key" \
  -d '{
    "form_name": "Contact Form",
    "data": {
      "name": "John Doe",
      "email": "john@example.com",
      "message": "Hello World!"
    }
  }'
<?php
$formData = [
    'name' => 'John Doe',
    'email' => 'john@example.com',
    'message' => 'Hello World!'
];

$postData = json_encode([
    'form_name' => 'Contact Form',
    'data' => $formData
]);

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://veloxform.in/api/submit');
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, $postData);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Content-Type: application/json',
    'API-Key: your_api_key',
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($ch);
$result = json_decode($response, true);
curl_close($ch);

print_r($result);
?>
import requests
import json

form_data = {
    'name': 'John Doe',
    'email': 'john@example.com',
    'message': 'Hello World!'
}

payload = {
    'form_name': 'Contact Form',
    'data': form_data
}

headers = {
    'Content-Type': 'application/json',
    'API-Key': 'your_api_key'
}

response = requests.post(
    'https://veloxform.in/api/submit',
    headers=headers,
    data=json.dumps(payload)
)

print(response.json())